% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/polygons.R
\name{getPolyFnamePath}
\alias{getPolyFnamePath}
\title{Get the path of the unzipped polygon directory downloaded from GADM.ORG}
\usage{
getPolyFnamePath(ctryCode)
}
\arguments{
\item{ctryCode}{character the ISO3 code of the country}
}
\value{
character path to polygon directory
}
\description{
Get the path of the unzipped polygon directory downloaded from GADM.ORG. Note the polygons are in ESRI
    Shapefile format thus when unzipped create a directory with the name <ctrycode>_adm_shp e.g.
    KEN_adm_shp. The directory will contain a number of files including the .shp file. 
    \code{rgdal::readOGR} can read a shapefile polygon when given the directory path. It will
    determine which files to read.
}
\examples{
getPolyFnamePath("KEN")
 #returns "path/to/"
 
#@export only due to exploreData() shiny app
}
